Topic: Windows7


I am trying to run my LiteStep theme on windows7 32-bit, 0.25.0a. I obviously have problems. The modules that I am currently using are working fine on an XP 32-bit system are

*NetLoadModule             xpaintclass-1.0
*NetLoadModule          jDesk-0.74 threaded
*Netloadmodule         lsxcommand-2.0.2 threaded   
*NetLoadModule             xtray-0.9.3 threaded        
*NetLoadModule        xpopup-1.2.5 threaded    
*NetLoadModule         xTaskbar-2.3.2 threaded   
*NetLoadModule        xLabel-3.5.7   
*Netloadmodule         umSlider-1.3.1  - does not work
*NetLoadModule        dynamp-0.50 threaded
*NetLoadModule        mzscript-0.9.13

Error msg1: whenever I try to open C:\ or any path using either my popup menu or lsxcommand I get the error "Class not registered". I even tried to use xpopup 2.2, that did not work. Any ideas guys, thx. I feel that I am missing something basic.

Error msg2: not really an error but what version of xLabel has alpha transperancy that works with Windows7? xLabel 4.3 works but it messes up my other labels. Thank you


Re: Windows7

Sounds like you need the Visual C++ Libraries. there is a list of the required ones floating around here somewhere.

Litestep will never die.


Re: Windows7

Thank you Carbinefreak. But its not that ..... just to be sure I did re-install the libraries below.

Visual C++ 2005.exe
Visual C++ 2005 SP1.exe
Visual C++ 2008.exe
Visual C++ 2008 SP1.exe
Visual C++ 2008 Feature Pack.exe

Health insurance quotes 1: I think you need more help than I do


Re: Windows7

Hmmmm this is what I'm using right now, also check the permissions on the litestep folder. windows 7 is a bit more secure than XP

NetLoadModuleOnLoad !NetUnloadModule
NetLoadModuleOnFail "Can't get all modules!!"
*NetLoadModule    xPaintClass-1.0
*NetLoadModule     xStatsClass-1.1.5
*NetLoadModule    desktop2-2.0.1
*NetLoadModule    popup2-2.1.7
*NetLoadModule    xTray-2.2.2
*NetLoadModule    xTaskbar-2.3.4
*NetLoadModule    lsxcommand-2.0.2
*NetLoadModule    xLabel-4.3

Litestep will never die.


Re: Windows7


so I thought I should share this with everyone in case there is someone else experiencing this.

Error msg1: I was running Windows 7 in a Virtual Machine. When I ran Litestep in an actual Windows 7 environment my popups were all working.

Error msg 2: xLabel 4.0 and up are all displaying alpha transparency correctly

Thank you Carbinefreak for your input

My Current list of modules
*NetLoadModule  xpaintclass-1.0
*NetLoadModule  xstatsclass-1.1.5 ; *** REQUIRED for WINDOWS 7 ***
*Netloadmodule   lsxcommand-2.0.2 threaded
*NetLoadModule  xlabel-4.3
*NetLoadModule  xtaskbar-1.5.2 threaded
*NetLoadModule  xpopup-1.2.5 threaded 
*NetLoadModule  jdesk-0.74 threaded  *** REQUIRED for WINDOWS 7 ***
*NetLoadModule  xtray-2.2
*NetLoadModule  dynamp-0.50 threaded
*NetLoadModule  mzscript-0.9.13